Skip to main content

viagogo Account API (2.249.0.0)

Addresses

List addresses

List addresses for the current user.

Authorizations:
OAuth2 (read:user)
query Parameters
page
integer <int32>

Specifies which page of data to retrieve.

page_size
integer <int32>

Set custom page sizes on response.

sort
string

Determines the ordering of items. A comma-separated string containing default, orid.

Responses

Response Schema: application/hal+json
total_items
integer or null <int32>
page
integer or null <int32>
page_size
integer or null <int32>
(AddresssLinks (object or null))
(AddresssEmbeddedResources (object or null))

Response samples

Content type
application/hal+json
{
  • "total_items": 0,
  • "page": 0,
  • "page_size": 0,
  • "_links": {
    },
  • "_embedded": {
    }
}

Create an address

Authorizations:
OAuth2 (write:user)
Request Body schema: application/json
One of
full_name
string or null

The full name of the recipient.

default
boolean or null

True if the address is the current user's default address; Otherwise, false.

address_1
string or null

The first line of the address.

address_2
string or null

The second line of the address.

address_3
string or null

The third line of the address.

city
string or null

The name of the city where the address is located.

state_province
string or null

The name of the State or Province where the address is located.

postal_code
string or null

The postal code for the address.

country_code
string or null

The 2 character ISO code that identifies the country in which the address is located.

Responses

Response Schema: application/hal+json
id
integer or null <int32>

The address identifier.

full_name
string or null

The full name of the recipient.

default
boolean or null

True if the address is the user’s default address; Otherwise, false.

address_1
string or null

The first line of the address.

address_2
string or null

The second line of the address.

address_3
string or null

The third line of the address.

city
string or null

The name of the city where the address is located.

state_province
string or null

The name of the State or Province where the address is located.

postal_code
string or null

The postal code for the address.

(AddressLinks (object or null))
(AddressEmbeddedResources (object or null))

Request samples

Content type
application/json
{
  • "full_name": "string",
  • "default": true,
  • "address_1": "string",
  • "address_2": "string",
  • "address_3": "string",
  • "city": "string",
  • "state_province": "string",
  • "postal_code": "string",
  • "country_code": "string"
}

Response samples

Content type
application/hal+json
{
  • "id": 0,
  • "full_name": "string",
  • "default": true,
  • "address_1": "string",
  • "address_2": "string",
  • "address_3": "string",
  • "city": "string",
  • "state_province": "string",
  • "postal_code": "string",
  • "_links": {
    },
  • "_embedded": {
    }
}

Get an address

Authorizations:
OAuth2 (read:user)
path Parameters
addressId
required
integer <int32>

Responses

Response Schema: application/hal+json
id
integer or null <int32>

The address identifier.

full_name
string or null

The full name of the recipient.

default
boolean or null

True if the address is the user’s default address; Otherwise, false.

address_1
string or null

The first line of the address.

address_2
string or null

The second line of the address.

address_3
string or null

The third line of the address.

city
string or null

The name of the city where the address is located.

state_province
string or null

The name of the State or Province where the address is located.

postal_code
string or null

The postal code for the address.

(AddressLinks (object or null))
(AddressEmbeddedResources (object or null))

Response samples

Content type
application/hal+json
{
  • "id": 0,
  • "full_name": "string",
  • "default": true,
  • "address_1": "string",
  • "address_2": "string",
  • "address_3": "string",
  • "city": "string",
  • "state_province": "string",
  • "postal_code": "string",
  • "_links": {
    },
  • "_embedded": {
    }
}

Update an address

Authorizations:
OAuth2 (write:user)
path Parameters
addressId
required
integer <int32>
Request Body schema: application/json
One of
full_name
string or null

The full name of the recipient.

default
boolean or null

True if the address is the current user's default address; Otherwise, false.

address_1
string or null

The first line of the address.

address_2
string or null

The second line of the address.

address_3
string or null

The third line of the address.

city
string or null

The name of the city where the address is located.

state_province
string or null

The name of the State or Province where the address is located.

postal_code
string or null

The postal code for the address.

country_code
string or null

The 2 character ISO code that identifies the country in which the address is located.

Responses

Response Schema: application/hal+json
id
integer or null <int32>

The address identifier.

full_name
string or null

The full name of the recipient.

default
boolean or null

True if the address is the user’s default address; Otherwise, false.

address_1
string or null

The first line of the address.

address_2
string or null

The second line of the address.

address_3
string or null

The third line of the address.

city
string or null

The name of the city where the address is located.

state_province
string or null

The name of the State or Province where the address is located.

postal_code
string or null

The postal code for the address.

(AddressLinks (object or null))
(AddressEmbeddedResources (object or null))

Request samples

Content type
application/json
{
  • "full_name": "string",
  • "default": true,
  • "address_1": "string",
  • "address_2": "string",
  • "address_3": "string",
  • "city": "string",
  • "state_province": "string",
  • "postal_code": "string",
  • "country_code": "string"
}

Response samples

Content type
application/hal+json
{
  • "id": 0,
  • "full_name": "string",
  • "default": true,
  • "address_1": "string",
  • "address_2": "string",
  • "address_3": "string",
  • "city": "string",
  • "state_province": "string",
  • "postal_code": "string",
  • "_links": {
    },
  • "_embedded": {
    }
}

Delete an address

Authorizations:
OAuth2 (write:user)
path Parameters
addressId
required
integer <int32>

Responses

Response samples

Content type
application/hal+json
{
  • "code": "string",
  • "message": "string",
  • "errors": {
    }
}

PaymentMethods

List payment methods for a listing

Authorizations:
OAuth2 (read:user)
path Parameters
listingId
required
integer <int64>
query Parameters
page
integer <int32>

Specifies which page of data to retrieve.

page_size
integer <int32>

Set custom page sizes on response.

Request Body schema: application/json
One of
number_of_tickets
integer or null <int32>
delivery_address_id
integer or null <int32>
delivery_method_id
integer or null <int32>
coupons
Array of strings or null
pickup_full_name
string or null

Responses

Response Schema: application/hal+json
total_items
integer or null <int32>
page
integer or null <int32>
page_size
integer or null <int32>
(PaymentMethodsLinks (object or null))
(PaymentMethodsEmbeddedResources (object or null))

Request samples

Content type
application/json
{
  • "number_of_tickets": 0,
  • "delivery_address_id": 0,
  • "delivery_method_id": 0,
  • "coupons": [
    ],
  • "pickup_full_name": "string"
}

Response samples

Content type
application/hal+json
{
  • "total_items": 0,
  • "page": 0,
  • "page_size": 0,
  • "_links": {
    },
  • "_embedded": {
    }
}

User

Get the authenticated user

Authorizations:
OAuth2 (read:user)

Responses

Response Schema: application/hal+json
full_name
string or null

The full name of the user.

email
string or null

The email address of the user.

primary_phone
string or null

The primary phone number of the user.

email_optin
boolean

True if the user is signed up for the viagogo email newsletter; otherwise, false.

(UserLinks (object or null))

Response samples

Content type
application/hal+json
{
  • "full_name": "string",
  • "email": "string",
  • "primary_phone": "string",
  • "email_optin": true,
  • "_links": {
    }
}

Update the authenticated user

Authorizations:
OAuth2 (write:user)
Request Body schema: application/json
One of
full_name
string or null

The full name of the user.

email_optin
boolean or null

True if the user is signed up for the viagogo email newsletter; otherwise, false.

Responses

Response Schema: application/octet-stream
string <binary>

Request samples

Content type
application/json
{
  • "full_name": "string",
  • "email_optin": true
}

Response samples

Content type
application/hal+json
{
  • "code": "string",
  • "message": "string",
  • "errors": {
    }
}

Address

An address is a delivery, pickup or billing address associated with the current user.

id
integer or null <int32>

The address identifier.

full_name
string or null

The full name of the recipient.

default
boolean or null

True if the address is the user’s default address; Otherwise, false.

address_1
string or null

The first line of the address.

address_2
string or null

The second line of the address.

address_3
string or null

The third line of the address.

city
string or null

The name of the city where the address is located.

state_province
string or null

The name of the State or Province where the address is located.

postal_code
string or null

The postal code for the address.

(AddressLinks (object or null))
(AddressEmbeddedResources (object or null))
{
  • "id": 0,
  • "full_name": "string",
  • "default": true,
  • "address_1": "string",
  • "address_2": "string",
  • "address_3": "string",
  • "city": "string",
  • "state_province": "string",
  • "postal_code": "string",
  • "_links": {
    },
  • "_embedded": {
    }
}

Addresss

total_items
integer or null <int32>
page
integer or null <int32>
page_size
integer or null <int32>
(AddresssLinks (object or null))
(AddresssEmbeddedResources (object or null))
{
  • "total_items": 0,
  • "page": 0,
  • "page_size": 0,
  • "_links": {
    },
  • "_embedded": {
    }
}

PaymentMethods

The PaymentMethods resource is a collection resource that contains zero or more references to a set of payment methods, and links that guide you on ways to interact with the payment methods. The collection offers a paginated view of payment methods.

total_items
integer or null <int32>
page
integer or null <int32>
page_size
integer or null <int32>
(PaymentMethodsLinks (object or null))
(PaymentMethodsEmbeddedResources (object or null))
{
  • "total_items": 0,
  • "page": 0,
  • "page_size": 0,
  • "_links": {
    },
  • "_embedded": {
    }
}

User

An authenticated user.

full_name
string or null

The full name of the user.

email
string or null

The email address of the user.

primary_phone
string or null

The primary phone number of the user.

email_optin
boolean

True if the user is signed up for the viagogo email newsletter; otherwise, false.

(UserLinks (object or null))
{
  • "full_name": "string",
  • "email": "string",
  • "primary_phone": "string",
  • "email_optin": true,
  • "_links": {
    }
}